Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network41.16.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
41.16.0.0
Broadcast address
41.31.255.255
First usable
41.16.0.1
Last usable
41.31.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 29100000 · Integer 688914432 to 689963007
Reverse DNS zones
16.41.in-addr.arpa
17.41.in-addr.arpa
18.41.in-addr.arpa
19.41.in-addr.arpa
20.41.in-addr.arpa
21.41.in-addr.arpa
22.41.in-addr.arpa
23.41.in-addr.arpa
24.41.in-addr.arpa
25.41.in-addr.arpa
26.41.in-addr.arpa
27.41.in-addr.arpa
28.41.in-addr.arpa
29.41.in-addr.arpa
30.41.in-addr.arpa
31.41.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101001.00010000.00000000.0000000041.16.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00101001.00010000.00000000.0000000041.16.0.0
Broadcast00101001.00011111.11111111.1111111141.31.255.255
Split into smaller subnets/19

41.16.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
141.16.0.0/1941.16.0.1 to 41.16.31.25441.16.31.2558,190
241.16.32.0/1941.16.32.1 to 41.16.63.25441.16.63.2558,190
341.16.64.0/1941.16.64.1 to 41.16.95.25441.16.95.2558,190
441.16.96.0/1941.16.96.1 to 41.16.127.25441.16.127.2558,190
541.16.128.0/1941.16.128.1 to 41.16.159.25441.16.159.2558,190
641.16.160.0/1941.16.160.1 to 41.16.191.25441.16.191.2558,190
741.16.192.0/1941.16.192.1 to 41.16.223.25441.16.223.2558,190
841.16.224.0/1941.16.224.1 to 41.16.255.25441.16.255.2558,190
941.17.0.0/1941.17.0.1 to 41.17.31.25441.17.31.2558,190
1041.17.32.0/1941.17.32.1 to 41.17.63.25441.17.63.2558,190
1141.17.64.0/1941.17.64.1 to 41.17.95.25441.17.95.2558,190
1241.17.96.0/1941.17.96.1 to 41.17.127.25441.17.127.2558,190
1341.17.128.0/1941.17.128.1 to 41.17.159.25441.17.159.2558,190
1441.17.160.0/1941.17.160.1 to 41.17.191.25441.17.191.2558,190
1541.17.192.0/1941.17.192.1 to 41.17.223.25441.17.223.2558,190
1641.17.224.0/1941.17.224.1 to 41.17.255.25441.17.255.2558,190
1741.18.0.0/1941.18.0.1 to 41.18.31.25441.18.31.2558,190
1841.18.32.0/1941.18.32.1 to 41.18.63.25441.18.63.2558,190
1941.18.64.0/1941.18.64.1 to 41.18.95.25441.18.95.2558,190
2041.18.96.0/1941.18.96.1 to 41.18.127.25441.18.127.2558,190
2141.18.128.0/1941.18.128.1 to 41.18.159.25441.18.159.2558,190
2241.18.160.0/1941.18.160.1 to 41.18.191.25441.18.191.2558,190
2341.18.192.0/1941.18.192.1 to 41.18.223.25441.18.223.2558,190
2441.18.224.0/1941.18.224.1 to 41.18.255.25441.18.255.2558,190
2541.19.0.0/1941.19.0.1 to 41.19.31.25441.19.31.2558,190
2641.19.32.0/1941.19.32.1 to 41.19.63.25441.19.63.2558,190
2741.19.64.0/1941.19.64.1 to 41.19.95.25441.19.95.2558,190
2841.19.96.0/1941.19.96.1 to 41.19.127.25441.19.127.2558,190
2941.19.128.0/1941.19.128.1 to 41.19.159.25441.19.159.2558,190
3041.19.160.0/1941.19.160.1 to 41.19.191.25441.19.191.2558,190
3141.19.192.0/1941.19.192.1 to 41.19.223.25441.19.223.2558,190
3241.19.224.0/1941.19.224.1 to 41.19.255.25441.19.255.2558,190
3341.20.0.0/1941.20.0.1 to 41.20.31.25441.20.31.2558,190
3441.20.32.0/1941.20.32.1 to 41.20.63.25441.20.63.2558,190
3541.20.64.0/1941.20.64.1 to 41.20.95.25441.20.95.2558,190
3641.20.96.0/1941.20.96.1 to 41.20.127.25441.20.127.2558,190
3741.20.128.0/1941.20.128.1 to 41.20.159.25441.20.159.2558,190
3841.20.160.0/1941.20.160.1 to 41.20.191.25441.20.191.2558,190
3941.20.192.0/1941.20.192.1 to 41.20.223.25441.20.223.2558,190
4041.20.224.0/1941.20.224.1 to 41.20.255.25441.20.255.2558,190
4141.21.0.0/1941.21.0.1 to 41.21.31.25441.21.31.2558,190
4241.21.32.0/1941.21.32.1 to 41.21.63.25441.21.63.2558,190
4341.21.64.0/1941.21.64.1 to 41.21.95.25441.21.95.2558,190
4441.21.96.0/1941.21.96.1 to 41.21.127.25441.21.127.2558,190
4541.21.128.0/1941.21.128.1 to 41.21.159.25441.21.159.2558,190
4641.21.160.0/1941.21.160.1 to 41.21.191.25441.21.191.2558,190
4741.21.192.0/1941.21.192.1 to 41.21.223.25441.21.223.2558,190
4841.21.224.0/1941.21.224.1 to 41.21.255.25441.21.255.2558,190
4941.22.0.0/1941.22.0.1 to 41.22.31.25441.22.31.2558,190
5041.22.32.0/1941.22.32.1 to 41.22.63.25441.22.63.2558,190
5141.22.64.0/1941.22.64.1 to 41.22.95.25441.22.95.2558,190
5241.22.96.0/1941.22.96.1 to 41.22.127.25441.22.127.2558,190
5341.22.128.0/1941.22.128.1 to 41.22.159.25441.22.159.2558,190
5441.22.160.0/1941.22.160.1 to 41.22.191.25441.22.191.2558,190
5541.22.192.0/1941.22.192.1 to 41.22.223.25441.22.223.2558,190
5641.22.224.0/1941.22.224.1 to 41.22.255.25441.22.255.2558,190
5741.23.0.0/1941.23.0.1 to 41.23.31.25441.23.31.2558,190
5841.23.32.0/1941.23.32.1 to 41.23.63.25441.23.63.2558,190
5941.23.64.0/1941.23.64.1 to 41.23.95.25441.23.95.2558,190
6041.23.96.0/1941.23.96.1 to 41.23.127.25441.23.127.2558,190
6141.23.128.0/1941.23.128.1 to 41.23.159.25441.23.159.2558,190
6241.23.160.0/1941.23.160.1 to 41.23.191.25441.23.191.2558,190
6341.23.192.0/1941.23.192.1 to 41.23.223.25441.23.223.2558,190
6441.23.224.0/1941.23.224.1 to 41.23.255.25441.23.255.2558,190
6541.24.0.0/1941.24.0.1 to 41.24.31.25441.24.31.2558,190
6641.24.32.0/1941.24.32.1 to 41.24.63.25441.24.63.2558,190
6741.24.64.0/1941.24.64.1 to 41.24.95.25441.24.95.2558,190
6841.24.96.0/1941.24.96.1 to 41.24.127.25441.24.127.2558,190
6941.24.128.0/1941.24.128.1 to 41.24.159.25441.24.159.2558,190
7041.24.160.0/1941.24.160.1 to 41.24.191.25441.24.191.2558,190
7141.24.192.0/1941.24.192.1 to 41.24.223.25441.24.223.2558,190
7241.24.224.0/1941.24.224.1 to 41.24.255.25441.24.255.2558,190
7341.25.0.0/1941.25.0.1 to 41.25.31.25441.25.31.2558,190
7441.25.32.0/1941.25.32.1 to 41.25.63.25441.25.63.2558,190
7541.25.64.0/1941.25.64.1 to 41.25.95.25441.25.95.2558,190
7641.25.96.0/1941.25.96.1 to 41.25.127.25441.25.127.2558,190
7741.25.128.0/1941.25.128.1 to 41.25.159.25441.25.159.2558,190
7841.25.160.0/1941.25.160.1 to 41.25.191.25441.25.191.2558,190
7941.25.192.0/1941.25.192.1 to 41.25.223.25441.25.223.2558,190
8041.25.224.0/1941.25.224.1 to 41.25.255.25441.25.255.2558,190
8141.26.0.0/1941.26.0.1 to 41.26.31.25441.26.31.2558,190
8241.26.32.0/1941.26.32.1 to 41.26.63.25441.26.63.2558,190
8341.26.64.0/1941.26.64.1 to 41.26.95.25441.26.95.2558,190
8441.26.96.0/1941.26.96.1 to 41.26.127.25441.26.127.2558,190
8541.26.128.0/1941.26.128.1 to 41.26.159.25441.26.159.2558,190
8641.26.160.0/1941.26.160.1 to 41.26.191.25441.26.191.2558,190
8741.26.192.0/1941.26.192.1 to 41.26.223.25441.26.223.2558,190
8841.26.224.0/1941.26.224.1 to 41.26.255.25441.26.255.2558,190
8941.27.0.0/1941.27.0.1 to 41.27.31.25441.27.31.2558,190
9041.27.32.0/1941.27.32.1 to 41.27.63.25441.27.63.2558,190
9141.27.64.0/1941.27.64.1 to 41.27.95.25441.27.95.2558,190
9241.27.96.0/1941.27.96.1 to 41.27.127.25441.27.127.2558,190
9341.27.128.0/1941.27.128.1 to 41.27.159.25441.27.159.2558,190
9441.27.160.0/1941.27.160.1 to 41.27.191.25441.27.191.2558,190
9541.27.192.0/1941.27.192.1 to 41.27.223.25441.27.223.2558,190
9641.27.224.0/1941.27.224.1 to 41.27.255.25441.27.255.2558,190
9741.28.0.0/1941.28.0.1 to 41.28.31.25441.28.31.2558,190
9841.28.32.0/1941.28.32.1 to 41.28.63.25441.28.63.2558,190
9941.28.64.0/1941.28.64.1 to 41.28.95.25441.28.95.2558,190
10041.28.96.0/1941.28.96.1 to 41.28.127.25441.28.127.2558,190
10141.28.128.0/1941.28.128.1 to 41.28.159.25441.28.159.2558,190
10241.28.160.0/1941.28.160.1 to 41.28.191.25441.28.191.2558,190
10341.28.192.0/1941.28.192.1 to 41.28.223.25441.28.223.2558,190
10441.28.224.0/1941.28.224.1 to 41.28.255.25441.28.255.2558,190
10541.29.0.0/1941.29.0.1 to 41.29.31.25441.29.31.2558,190
10641.29.32.0/1941.29.32.1 to 41.29.63.25441.29.63.2558,190
10741.29.64.0/1941.29.64.1 to 41.29.95.25441.29.95.2558,190
10841.29.96.0/1941.29.96.1 to 41.29.127.25441.29.127.2558,190
10941.29.128.0/1941.29.128.1 to 41.29.159.25441.29.159.2558,190
11041.29.160.0/1941.29.160.1 to 41.29.191.25441.29.191.2558,190
11141.29.192.0/1941.29.192.1 to 41.29.223.25441.29.223.2558,190
11241.29.224.0/1941.29.224.1 to 41.29.255.25441.29.255.2558,190
11341.30.0.0/1941.30.0.1 to 41.30.31.25441.30.31.2558,190
11441.30.32.0/1941.30.32.1 to 41.30.63.25441.30.63.2558,190
11541.30.64.0/1941.30.64.1 to 41.30.95.25441.30.95.2558,190
11641.30.96.0/1941.30.96.1 to 41.30.127.25441.30.127.2558,190
11741.30.128.0/1941.30.128.1 to 41.30.159.25441.30.159.2558,190
11841.30.160.0/1941.30.160.1 to 41.30.191.25441.30.191.2558,190
11941.30.192.0/1941.30.192.1 to 41.30.223.25441.30.223.2558,190
12041.30.224.0/1941.30.224.1 to 41.30.255.25441.30.255.2558,190
12141.31.0.0/1941.31.0.1 to 41.31.31.25441.31.31.2558,190
12241.31.32.0/1941.31.32.1 to 41.31.63.25441.31.63.2558,190
12341.31.64.0/1941.31.64.1 to 41.31.95.25441.31.95.2558,190
12441.31.96.0/1941.31.96.1 to 41.31.127.25441.31.127.2558,190
12541.31.128.0/1941.31.128.1 to 41.31.159.25441.31.159.2558,190
12641.31.160.0/1941.31.160.1 to 41.31.191.25441.31.191.2558,190
12741.31.192.0/1941.31.192.1 to 41.31.223.25441.31.223.2558,190
12841.31.224.0/1941.31.224.1 to 41.31.255.25441.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses